Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Variables

# include/ruby/regex.h File Reference

`#include "oniguruma.h"`
Include dependency graph for regex.h:

Go to the source code of this file.

## Defines
#define | mbclen(p, e, enc) rb_enc_mbclen((p),(e),(enc))
## Variables
ONIG_EXTERN OnigEncoding | OnigEncDefaultCharEncoding

## Define Documentation

#define mbclen | ( |  | p,
|  |  | e,
|  |  | enc
| ) |  | rb_enc_mbclen((p),(e),(enc))

Definition at line 31 of file regex.h.

Referenced by rb_reg_expr_str(), rb_reg_quote(), and rb_reg_regsub().

## Variable Documentation

ONIG_EXTERN OnigEncoding OnigEncDefaultCharEncoding

Definition at line 29 of file regex.h.

Referenced by onigenc_get_default_encoding().